### Enumeration

# Vips OperationBoolean

#### Declaration

    enum Vips.OperationBoolean

#### Description [src]

See also: `vips_boolean()`.

#### Members

`VIPS_OPERATION_BOOLEAN_AND`

  `&`.

  - Value: `0`
  - Available since: 8.0
`VIPS_OPERATION_BOOLEAN_OR`

  `|`.

  - Value: `1`
  - Available since: 8.0
`VIPS_OPERATION_BOOLEAN_EOR`

  `^`.

  - Value: `2`
  - Available since: 8.0
`VIPS_OPERATION_BOOLEAN_LSHIFT`

  `>>`.

  - Value: `3`
  - Available since: 8.0
`VIPS_OPERATION_BOOLEAN_RSHIFT`

  `<<`.

  - Value: `4`
  - Available since: 8.0